/* ---------------------------------------------------------- */
/* @(#) KRV.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Advanced Backup and Recovery Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2011 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* ---------------------------------------------------------- */
/* General section.  Applies to all products                  */
/* ---------------------------------------------------------- */

/* Tasks */

/* APPLICATION_BACKUP */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRV_APPLICATION_BACKUP";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRV                000000000000000000", 
  "APPLICATION_BACKUP [&AGGNAME] [&ACTION] [&CCERROR] [&CCOFF]
 [&FILTEROUTPUTDATASET] [&INCREMENTAL] [&LIST] [&MOVE] [&NOTIFY]
 [&OPTIMIZE] [&PROCESSONLY] [&RESETCB] [&RECALLMIGRATEDVSAM]
 [&RECALLFAILED] [&SKIP] [&STACK] [&TERMMSGS] [&UNIT] [&JOB]",
  "Perform an application backup.",
  " ", 
  "KRV_APPLICATION_BACKUP", 
  "APPLICATION_BACKUP", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* CBTI_DSN_LIST */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRV_CBTI_DSN_LIST";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRV                000000000000000000", 
  "CBTI_DSN_LIST [&INDSN] [&GEN] [&STARTDATE] [&ENDDATE] [&TIMEOUT]",
  "Request a specific list of DSN.",
  " ", 
  "KRV_CBTI_DSN_LIST", 
  "CBTI_DSN_LIST", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* CBTI_DSN_LIST_WITH_EXCLUDE */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRV_CBTI_DSN_LIST_WITH_EXCLUDE";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRV                000000000000000000", 
  "CBTI_DSN_LIST_WITH_EXCLUDE [&INDSN] [&EXDSN] [&GEN] [&STARTDATE]
 [&ENDDATE] [&TIMEOUT]",
  "Request a specific list of DSN without specific DSN.",
  " ", 
  "KRV_CBTI_DSN_LIST_WITH_EXCLUDE", 
  "CBTI_DSN_LIST_WITH_EXCLUDE", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_App_Events_Backup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_App_Events_Backup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_APPLICATION_BACKUP_EVENTS.BKUPRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_App_Events_Backup_NE_0",
"Krv:KRV1013",
"NNN",
"ATOM=KRVBKUPALL.EVENT;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_App_Events_Backup_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_App_Events_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_App_Events_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_APPLICATION_BACKUP_EVENTS.UTILRC *NE 0) ",
"E",
"0",
"000100",
"*NONE",
"KRV_App_Events_Util_NE_0",
"Krv:KRV1014",
"NNN",
"ATOM=KRVBKUPALL.EVENT;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_App_Events_Util_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_Full_Vol_Dump_Bkup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_Full_Vol_Dump_Bkup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_FULL_VOLUME_DUMP_EVENTS.BKUPRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_Full_Vol_Dump_Bkup_NE_0",
"Krv:KRV1015",
"NNN",
"ATOM=KRVVOLDMPA.EVENT;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_Full_Vol_Dump_Bkup_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_Full_Vol_Dump_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_Full_Vol_Dump_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_FULL_VOLUME_DUMP_EVENTS.UTILRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_Full_Vol_Dump_Util_NE_0",
"Krv:KRV1014",
"NNN",
"ATOM=KRVVOLDMPA.EVENT;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_Full_Vol_Dump_Util_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_CBTI_App_Events_Bkup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_CBTI_App_Events_Bkup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_CBTI_APPLICATION_BACKUP_EVENTS.BKUPRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_CBTI_App_Events_Bkup_NE_0",
"Krv:KRV1016",
"NNN",
"ATOM=KRVCBTIJOB.JOBNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_CBTI_App_Events_Bkup_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_CBTI_App_Events_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_CBTI_App_Events_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_CBTI_APPLICATION_BACKUP_EVENTS.UTILRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_CBTI_App_Events_Util_NE_0",
"Krv:KRV1014",
"NNN",
"ATOM=KRVCBTIJOB.JOBNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_CBTI_App_Events_Util_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_ABM_CBTI_Events_Bkup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_ABM_CBTI_Events_Bkup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_ABM_AND_CBTI_EVENTS.ABRRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_ABM_CBTI_Events_Bkup_NE_0",
"Krv:KRV1017",
"NNN",
"ATOM=KRVHISABMC.JOBNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_ABM_CBTI_Events_Bkup_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_ABM_CBTI_Events_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_ABM_CBTI_Events_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_ABM_AND_CBTI_EVENTS.UTILRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_ABM_CBTI_Events_Util_NE_0",
"Krv:KRV1014",
"NNN",
"ATOM=KRVHISABMC.JOBNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_ABM_CBTI_Events_Util_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_ABM_Events_Bkup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_ABM_Events_Bkup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_ABM_EVENTS.ABRRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_ABM_Events_Bkup_NE_0",
"Krv:KRV1018",
"NNN",
"ATOM=KRVHISABME.JOBNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_ABM_Events_Bkup_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_ABM_Events_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_ABM_Events_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_ABM_EVENTS.UTILRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_ABM_Events_Util_NE_0",
"Krv:KRV1014",
"NNN",
"ATOM=KRVHISABME.JOBNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_ABM_Events_Util_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_CBTI_Events_Bkup_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_CBTI_Events_Bkup_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_CBTI_EVENTS.ABRRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_CBTI_Events_Bkup_NE_0",
"Krv:KRV1019",
"NNN",
"ATOM=KRVHISCBTI.JOBNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_CBTI_Events_Bkup_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRV"
 AND OBJNAME = "KRV_CBTI_Events_Util_NE_0"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRV_CBTI_Events_Util_NE_0"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110726000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_CBTI_EVENTS.UTILRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_CBTI_Events_Util_NE_0",
"Krv:KRV1014",
"NNN",
"ATOM=KRVHISCBTI.JOBNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_CBTI_Events_Util_NE_0" ,
  "Y" ,
  "1110726000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
